Disk Arrays
cancel
Showing results for 
Search instead for 
Did you mean: 

not array detection after flash upgrade from 2.08 ->4.48

Ayman Altounji
Valued Contributor

not array detection after flash upgrade from 2.08 ->4.48

I have a running Proliant 5000 with smart-2/P controller and a 4 drive 36GB raid-5 array. Smart-2 is firmware 2.08a and I just upgraded to 4.48.
After power-cycle the controler says: 0 logical drives and doesn't even activates the drives.
I faild to flash back to 2.08 so I installed my backup smart-2 with 1.62 firmware. Logical drive is recognized and the server is up and running.
So, why doesn't it work with 4.48 firmware?
How can I get the latest firmware into the smart-2 controller without loosing my arra config and any data?
11 REPLIES
Mark Cloutier
Respected Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

If you upgrade the firmware on the smart 2/P you also need to upgrade the driver, F10 partiton and maybe even the firmware on the hard drives. Before you flash the smart 2/P, update the drivers and then the F10 partition, then the firmware on the smart 2/P.
We are here for a good time, not a long time!
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Be careful about the order you do things in. The advice from Mark about updating the system partition is probably good, but the driver update isn't likely to make any difference on boot-up, and it can cause problems with older firmware, as I'm about to post...
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

@Marc: You are right, but the OS isn't loading. The harddrives don't even start!

@all:
I downgraded the smart-2/P array controller back to 1.62 and inserted it into our test Proliant 6000, created an array, then flashed the adapter to 4.48 again.
It works perfect! Hmmmm.... During the next scheduled maintenance window I'll change the actual adapter in the Proliant 5000 with actual version from the proliant 6000 and see what's happening.

Bye
Bernd
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

@all: My message in this forum was a little bit messed up (wrong link) so I started a new one continuing my story. Please continue to read the thread "no array detection after firmware upgrade to 4.48"
Thanks
Bernd
Mark Cloutier
Respected Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Another possibility is that the firmware on the hard drives is old. SP8050 is to flash the older models of hard drives. Try this please.
We are here for a good time, not a long time!
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Marc,
I've checked that. Rompaq says: Nothing to upgrade, everything is up-to-date.
I've checked:
4*4GB Compaq drives
4x36GB compaq
4x36GB IBM drives in compaq trays
All three sets do
*run in a proliant 6000 with firmware 1.6x and 4.48
*do run with firmware 1.6x in Proliant 5000
*do NOT run with firmware 4.48 in Proliant 5000, the drives don't even start to spin-up

any other idea?
Mark Cloutier
Respected Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Due to the age of the bios on the 5000, you might have to flash the smart array controller to version 4.44 and leave it there. The 6000 is not as old. One thing to try is that after all has been flashed as you stated. Boot off a Smart Start cd and run the System Configuration Utility. Save and exit and see what happens.
We are here for a good time, not a long time!
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

@Marc,
I can't locate the v4.44 firmware for the smart-2 on the compaq support server. Do you have an URL?
The only stuff I found was an 4.48c (I'll give that a try, too) and a 4.32 on one of our older Smartstart CDROMs.
Bernd
Mark Cloutier
Respected Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

For version 4.44 it will be SP12986. Here's the URL:
http://www.compaq.com/support/files/12501.html
We are here for a good time, not a long time!
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Got it!
I'll give it a try next monday or wednesday evening.
I'll post the results here.
Ayman Altounji
Valued Contributor

Re: not array detection after flash upgrade from 2.08 ->4.48

Marc,
I've tried the following Smart-2 firmware versions:
4.48c, 4.44, 4.32, 4.26 -> doesn't work
v1.68 and (now active) 2.08 do work.
any chance to get this thing active with actual firmware versions?

Regards
Bernd